
%define name 	muse
%define version	1.0.1
%define release %mkrel 1

Summary:		Muse is a MIDI/Audio sequencer with recording and editing capabilities.
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://sourceforge.net/projects/lmuse/
Source0:		%{name}-%{version}.tar.xz
Group:			Sound
BuildRoot:		%{_tmppath}/%{name}-buildroot
License:		GPL
Requires:		libsndfile1
Requires:		libalsa2
Requires:		jackit
Requires:		libjack0
BuildRequires:		graphviz
BuildRequires:		openjade
BuildRequires:		doxygen
BuildRequires: 		lash-devel
BuildRequires: 		fluidsynth-devel
BuildRequires: 		libalsa-devel
BuildRequires:		docbook-style-dsssl
BuildRequires:		jackit-devel
BuildRequires:		libsndfile-devel
BuildRequires:		libgraphviz-devel
BuildRequires:		libcap-devel
BuildRequires:		docbook-dtd41-sgml
BuildRequires:		libext2fs-devel
BuildRequires:		libsamplerate-devel >= 0.1.2

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities
written by Werner Schweer.  MusE aims to be a complete multitrack virtual
studio for Linux, it is published under the GNU General Public License.
MusE has among other things support for:
    * Midi sequencing
    * Audio sequencing
    * LADSPA
    * Jack
    * ALSA - based on the Advanced Linux Sound Architecture 

You can use several soundcards to access external midi devices and
record/playback them with MusE. 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure2_5x --disable-optimize --with-docbook-stylesheets=/usr/share/sgml/docbook/dsssl-stylesheets-1.79 --disable-qttest --disable-suid-install --disable-suid-build --enable-ladcca --with-qt-prefix=%{qt3dir} --with-qt-includes=%{qt3include} --with-qt-libraries=%qt3lib --with-qt-binaries=%{qt3dir}/bin

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT SUIDINSTALL=no install

# menu support
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=MusE
Comment=MIDI sequencer
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Midi;
Encoding=UTF-8
EOF
%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README COPYING NEWS AUTHORS
%_bindir/*
%_libdir/%name
%_datadir/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/muse_icon.png

%changelog
* Sun Sep 26 2010 Texstar <texstar at gmail.com> 1.0.1-1pclos2010
- 1.0.1

* Sun Feb 28 2010 slick50 <lxgator@gmail.com> 0.9.2-pclos2010
- 0.9.2


